#
# spec file for package lavaps (Version 1.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tcl tcl-devel tix tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tix tk unzip util-linux vim xdevel xf86 xshared

Name:         lavaps
Summary:      A lava lamp of currently running processes
Version:      1.18
Release:      46
Copyright:    GPL
Group:        X11/Amusements
Url:          http://www.isi.edu/~johnh/SOFTWARE/LAVAPS/
Source:       lavaps-%{version}.tar.bz2
Patch:        lavaps-%{version}.dif
Patch1:       lavaps-%{version}-axp.dif
Patch2:       lavaps-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Lavaps is an interactive process-tracking program like ``top'', but with
a much different attitude. Rather than presenting lots of specific info
in digital form, it tries to present certain important information in a
graphical analog form.  The idea is that you can run it in the background
and get a rough idea of what's happening to your system without devoting
much concentration to the task.

Authors:
--------
    John Heidemann <johnh@isi.edu>

SuSE series: xap

%prep
%setup
%patch
%patch1
%patch2

%build
%define prefix /usr/X11R6
%{suse_update_config -f}
aclocal
automake
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=%{prefix} \
			--mandir=%{_mandir}\
			--with-tcl-ver=8.3 \
			--with-tk-ver=8.3 \
			--with-tcltk-lib-suffix-type=dot 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%doc %{_mandir}/man1/*
%{prefix}/bin/lavaps

%changelog -n lavaps
* Thu Jul 26 2001 - cihlar@suse.cz
- update to version 1.18
- reorganized patches
* Tue Jun 19 2001 - cihlar@suse.cz
- fixed to compile on ia64 with new autoconf
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Wed May 23 2001 - schwab@suse.de
- Remove misplaced ## operators.
- Fix casts.
* Thu May 17 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Apr 04 2001 - cihlar@suse.cz
- fixed to compile on axp
* Mon Feb 19 2001 - cihlar@suse.cz
- fixed to compile on axp
* Wed Feb 14 2001 - cihlar@suse.cz
- added suse_update_config
- fixed file list
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Oct 27 2000 - grimmer@suse.de
- Update to 1.15
- removed patch (now included in original sources)
* Wed Aug 16 2000 - uli@suse.de
- fixed spec for new Tcl/Tk
* Tue Jul 18 2000 - grimmer@suse.de
- created initial version (1.13)
- added patch to avoid compiler error
